Get Closed PnL
curl --request GET \
--url https://api.cnt.ekiden.fi/api/v1/position/closed-pnl \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cnt.ekiden.fi/api/v1/position/closed-pnl"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cnt.ekiden.fi/api/v1/position/closed-pnl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"avg_entry_price": "<string>",
"avg_exit_price": "<string>",
"close_fee": "<string>",
"closed_pnl": "<string>",
"closed_size": "<string>",
"created_time": "1672531200000",
"cum_entry_value": "<string>",
"cum_exit_value": "<string>",
"exec_type": "Trade",
"fill_count": "<string>",
"leverage": "<string>",
"open_fee": "<string>",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_price": "<string>",
"order_type": "Limit",
"qty": "<string>",
"side": "Sell",
"sub_account_address": "<string>",
"symbol": "BTC-USDCx",
"updated_time": "1672531200000"
}
],
"next_page_cursor": "<string>"
}Position
Get Closed PnL
Query user’s closed profit and loss records
GET
/
api
/
v1
/
position
/
closed-pnl
Get Closed PnL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example:
"BTC-USDCx"
Required range:
x >= 0⌘I